let
  secrets = import ../modules/secrets.nix;
in {
  services = {
    lemmy = {
      enable = true;
      nginx.enable = true;
      database.createLocally = true;
      settings = {
        hostname = "lemmy.${secrets.jimDomain}";
        email = {
          smtp_server = "mx.${secrets.jimDomain}:587";
          smtp_login = "noreply@${secrets.jimDomain}";
          smtp_from_address = "Jimbo's Lemmy <noreply@${secrets.jimDomain}>";
          smtp_password = secrets.noreplyPassword;
          tls_type = "starttls";
        };
      };
    };

    # Add SSL to webpage
    nginx.virtualHosts."lemmy.${secrets.jimDomain}" =  {
      enableACME = true;
      forceSSL = true;
    };
  };
}
